/*
 * This software was developed at the National Institute of Standards and Technology
 * by employees of the Federal Government in the course of their official duties.
 * Pursuant to Title 17 Section 105 of the United States Code this software is not
 * subject to copyright protection within the United States and is in the public domain.
 * The software is an experimental system. NIST assumes no responsibility whatsoever for
 * its use by any party.
 * 
 * THIS SOFTWARE IS PROVIDED "AS IS." YOU ACCEPT THE SOFTWARE "AS IS" AND ACKNOWLEDGE
 * THAT NIST MAKES NO WARRANTY OF ANY KIND, EXPRESS, IMPLIED OR STATUTORY, INCLUDING,
 * WITHOUT LIMITATION, THE IMPLIED WARRANTY OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, NON-INFRINGEMENT AND DATA ACCURACY. NIST DOES NOT REPRESENT OR WARRANT THAT
 * THE OPERATION OF THE SOFTWARE WILL BE UNINTERRUPTED OR ERROR-FREE, OR THAT ANY
 * DEFECTS WILL BE CORRECTED. NIST DOES NOT WARRANT OR MAKE ANY REPRESENTATIONS
 * REGARDING THE USE OF THE SOFTWARE OR THE RESULTS THEREOF, INCLUDING BUT NOT LIMITED
 * TO THE CORRECTNESS, ACCURACY, RELIABILITY, OR USEFULNESS OF THE SOFTWARE.
 * 
 * You may freely use, copy or distribute this software.Please include appropriate
 * attribution.
 */

package com.simfill;

import java.lang.String;
import java.util.TreeMap;

public class Registry
{
	public synchronized static Registry getInstance()
	{
		if( m_instance == null )
		{
			m_instance = new Registry();
		}
		
		return m_instance;
	}
	
	public synchronized void put( String key, String value )
	{
		m_storage.put( key, value );
	}
	
	public synchronized String get( String key )
	{
		return m_storage.get( key );
	}
	
	public synchronized void remove( String key )
	{
		m_storage.remove( key );
	}
	
	public synchronized void clear()
	{
		m_storage.clear();
	}
	
	private Registry()
	{
		m_storage = new TreeMap< String, String >();
	}
	
	private static Registry m_instance;
	
	private TreeMap< String, String > m_storage;
}
